<app-loading *ngIf="isLoading"></app-loading>
<div class="container">
  <div class="button-create" *ngIf='objFunction.create'>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="createTemplate()"
      mbButtonAvailableStyle="PRIMARY" mbButtonText="{{ 'system.templateMng.label.create' | translate }}">
    </mb-button>
  </div>
  <div class="app-card">
    <div nz-row class="app-row" [nzGutter]="[30, 0]">
      <div nz-col nzSm='12' nzLg="6" class="template-mng-card__left">
        <mb-input-text [(ngModel)]="objSearch.templateCode" [defaultInput]="true"
          mbPlaceholderText="--{{ 'system.templateMng.placeHolder.codeTemplate' | translate }}--"
          mbLabelText="{{ 'system.templateMng.label.codeTemplate' | translate }}">
        </mb-input-text>
      </div>
      <div nz-col nzSm='12' nzLg="6" class="template-mng-card__left">
        <mb-input-text [(ngModel)]="objSearch.templateName" [defaultInput]="true"
          mbPlaceholderText="--{{ 'system.templateMng.placeHolder.nameTemplate' | translate }}--"
          mbLabelText="{{ 'system.templateMng.label.nameTemplate' | translate }}">
        </mb-input-text>
      </div>
      <div nz-col nzSm='12' nzLg="6" class="template-mng-card__left">
        <mb-input-text [(ngModel)]="objSearch.title" [defaultInput]="true"
          mbPlaceholderText="--{{ 'system.templateMng.placeHolder.title' | translate }}--"
          mbLabelText="{{ 'system.templateMng.label.title' | translate }}">
        </mb-input-text>
      </div>
      <div nz-col nzSm='12' nzLg="6" class="template-mng-card__left">
        <mb-select [mbDataSelects]="listGroup" mbKeyLabel="ngrName" mbKeyValue="ngrName"
          mbLabelText="{{ 'system.templateMng.label.group' | translate }}"
          mbPlaceholder="--{{ 'system.templateMng.placeHolder.group' | translate }}--" [mbOptionHeightPx]="55"
          [(ngModel)]="objSearch.notiGroup"></mb-select>
      </div>
      <div nz-col nzSpan="24" class="template-mng-card__left__button">
          <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="searchTemplate()"
            mbButtonAvailableStyle="SEARCH"
            mbButtonText="{{ 'system.templateMng.label.search' | translate }}">
          </mb-button>
        </div>
    </div>
  </div>
  <div class="app-list">
    <nz-table class='data-table' nzTableLayout="fixed" #sessionTable [nzData]="listTemplate" [nzShowPagination]="false" nzSize='small'
      [nzScroll]="listTemplate.length > 7 ? { x: '1024px', y: '460px' } : {}" [nzPageSize]="paginationCustom.size">
      <thead>
        <tr class='table-header'>
          <th scope="col" class='text-nowrap text-center' nzWidth="50px" nzLeft='0'>
            {{ 'system.templateMng.table.label.stt' | translate }}
          </th>
          <th scope="col" class='text-nowrap'>{{ 'system.templateMng.table.label.codeTemplate' | translate }}</th>
          <th scope="col" class='text-nowrap'>{{ 'system.templateMng.table.label.nameTemplate' | translate }}</th>
          <th scope="col" class='text-nowrap'>{{ 'system.templateMng.table.label.group' | translate }}</th>
          <th scope="col" class='text-nowrap'>{{ 'system.templateMng.table.label.title' | translate }}</th>
          <th scope="col" class='text-nowrap'>{{ 'system.templateMng.table.label.content' | translate }}</th>
          <th scope="col" class='text-nowrap text-center' nzWidth='100px' nzRight='0' *ngIf='objFunction.edit || objFunction.delete'></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let data of sessionTable.data; let i = index; trackBy: trackByFn" class='row-table'>
          <td class='text-nowrap text-center' nzWidth="50px" nzLeft='0'>
            {{ i + 1 + paginationCustom.size * paginationCustom.pageIndex }}
          </td>
          <td>
            <span class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.ntpCode">{{ data.ntpCode }}</span>
          </td>
          <td>
            <span class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.ntpName">{{ data.ntpName }}</span>
          </td>
          <td>
            <span class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.ngrName">{{ data.ngrName }}</span>
          </td>
          <td>
            <span class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.subject">{{ data.subject }}</span>
          </td>
          <td>
            <span class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.shortContent">{{ data.shortContent }}</span>
          </td>
          <td class='text-nowrap text-center' nzWidth="100px" nzRight='0' *ngIf='objFunction.edit || objFunction.delete'>
            <mb-button-icon *ngIf="objFunction.edit" mbButtonType="EDIT" (click)="updateTemplate(data.ntpId)"> </mb-button-icon>
            <mb-button-icon *ngIf="objFunction.delete" mbButtonType="DELETE" (click)="deleteTemplate(data.ntpId)"> </mb-button-icon>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </div>
  <div *ngIf="listTemplate.length > 0" class="pagination">
    <div class="pagination__table-info">
      <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt="" />
      <span class="pagination__table-info--text">Tìm thấy {{ paginationCustom.totalElements }} kết quả, hiển thị từ
        {{ paginationCustom.size * paginationCustom.pageIndex + 1 }} đến
        {{ paginationCustom.size * paginationCustom.pageIndex + paginationCustom.numberOfElements }}</span>
    </div>
    <nz-pagination [nzPageIndex]="paginationCustom.pageIndex + 1" (nzPageIndexChange)="changePage($event)"
      [nzTotal]="paginationCustom.totalElements" [nzPageSize]="paginationCustom.size"></nz-pagination>
  </div>
</div>
